{
  "swagger": "2.0",
  "info": {
    "title": "address.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Library"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "addressAddressItem": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "ID"
        },
        "identity": {
          "type": "string"
        },
        "phone": {
          "type": "string",
          "title": "手机号"
        },
        "country": {
          "type": "string",
          "title": "国家"
        },
        "province": {
          "type": "string",
          "title": "省"
        },
        "city": {
          "type": "string",
          "title": "市"
        },
        "area": {
          "type": "string",
          "title": "区"
        },
        "detail": {
          "type": "string",
          "title": "详情地址"
        },
        "contact": {
          "type": "string",
          "title": "联系人"
        },
        "name": {
          "type": "string"
        },
        "pics": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态 -1为删除，1为正常，2为设置成默认"
        }
      }
    },
    "addressAddressListReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/addressAddressItem"
          },
          "title": "地址列表"
        }
      }
    },
    "addressStatusReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32",
          "title": "状态码"
        },
        "identity": {
          "type": "string",
          "title": "标识码"
        },
        "message": {
          "type": "string",
          "title": "状态说明"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
